GET
https://api.cryptohopper.com/v1/hopper/{id}/marketmaker/history/{start}/{limit}
Returns the finished market maker orders (completed, cancelled or failed) of a market maker bot, newest first, one page at a time.
OAuth scope:
read About scopes
Ordered by order date, newest first.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/history/START/LIMIT" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/history/START/LIMIT', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/history/START/LIMIT",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/history/START/LIMIT');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
limit |
string | Required | Maximum number of market makers to return, at most 500. |
start |
string | Required | Number of market makers to skip (offset), 0 for the first page. |
id |
string | Required | Hopper ID of a market maker bot. |
Response
{
"data": [
{
"id": "7699990",
"base_currency": "USDT",
"currency": "BTC",
"exchange": "binance",
"market": "BTCUSDT",
"market_trend": "neutral",
"order_layer": "1",
"order_sequence": "sametime",
"buy_order_id": "55139001",
"buy_trade_id": "88109001",
"buy_order_type": "limit",
"buy_amount": "0.001",
"buy_amount_filled": "0.001",
"buy_rate": "64800",
"buy_cost": "64.8",
"buy_fee": "0.0648",
"sell_order_id": "55139002",
"sell_trade_id": "88109002",
"sell_order_type": "limit",
"sell_amount": "0.001",
"sell_amount_filled": "0.001",
"sell_rate": "65000",
"sell_cost": "65",
"sell_fee": "0.065",
"order_date": "2026-09-24 18:00:00",
"order_date_step": "2026-09-24 18:00:00",
"completed_date": "2026-09-24 18:20:00",
"order_trigger": "manual",
"profit": "0.07",
"completed": "1",
"cancelled": "0",
"failed": "0"
}
]
}